<?php

namespace Database\Factories;

use App\Models\OrderProduct;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class OrderProductFactory extends Factory
{
    protected $model = OrderProduct::class;

    public function definition(): array
    {
        return [
            'created_at'   => Carbon::now(),
            'updated_at'   => Carbon::now(),
            'sku'          => $this->faker->randomElement([$this->faker->randomNumber(4, true), null]),
            'product_name' => $this->faker->randomElement(['shirts', 'hats', 'jackets', 'pants', 'tote bags', 'backpacks']),
            'color'        => $this->faker->randomElement(['black', 'white', 'navy', 'red', 'gold', 'charcoal']),
            'xs'           => $this->faker->numberBetween(0, 10),
            's'            => $this->faker->numberBetween(0, 10),
            'm'            => $this->faker->numberBetween(0, 10),
            'l'            => $this->faker->numberBetween(0, 10),
            'xl'           => $this->faker->numberBetween(0, 10),
            '2xl'          => $this->faker->numberBetween(0, 10),
            '3xl'          => $this->faker->numberBetween(0, 10),
            'osfa'         => $this->faker->numberBetween(0, 10),
        ];
    }
}
